[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: testing, unstable, and dependencies

On Thu, Feb 06, 2003 at 12:29:24PM +0100, "Marcelo E. Magallon" <mmagallo@debian.org> was heard to say:
> On Thu, Feb 06, 2003 at 12:13:12PM +0100, guenter geiger wrote:
>  > Not really. It is not only debhelper that creates the problems.  If I
>  > have a package that build depends on libfoo3-dev for example, but it
>  > is known to build with libfoo2-dev as well (the configure script in
>  > most software detects this and acts accordingly).
>  Ok, fair.  How do you propose to handle that?

  I suggest -d.

  If an incompatible libpng2-dev and libpng3-dev exist, it's because the
libraries do not have compatible ABIs, and it's important to ensure that
you build against the proper one.  (particularly when building a library
linked against libpng, or a program linked against a library linked
against libpng)

  People who build with a different libpng-dev should know what they are


/-------------------- Daniel Burrows <dburrows@debian.org> -------------------\
| "A game which, from the viewpoint of the other players (ie, everyone) might |
|  be compared to playing poker with blank cards, for infinite stakes, with a |
|  Dealer who won't tell you the rules and who /smiles all the time/."        |
|   -- Terry Pratchett, _Good Omens_                                          |
\-Evil Overlord, Inc: planning your future today. http://www.eviloverlord.com-/

Reply to: